Skip to main content
GET
/
charities
/
{charityId}
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "slug": "<string>",
  "name": "<string>",
  "logo": "<string>",
  "website": "<string>",
  "address": "<string>",
  "city": "<string>",
  "state": "<string>",
  "country": "<string>",
  "zipCode": "<string>",
  "taxId": "<string>",
  "socials": {
    "blog": "<string>",
    "twitter": "<string>",
    "facebook": "<string>",
    "instagram": "<string>",
    "linkedin": "<string>",
    "youtube": "<string>"
  },
  "isEnabled": true,
  "isVerified": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.donate.gg/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

donate-api-key
string
header
required

Developer API key. Required for all requests. Obtain from the Donate dashboard.

Headers

donate-api-key
string
required

Developer API key

Minimum string length: 1

Path Parameters

charityId
string
required

Charity id

Response

Charity with full metadata.

id
string
required
slug
string
required
name
string
required
website
string
required
address
string
required
city
string
required
state
string
required
country
string
required
zipCode
string
required
taxId
string
required
socials
object
required
isEnabled
boolean
required
isVerified
boolean
required